Index: AllTests.java
===================================================================
--- AllTests.java	(revision 574)
+++ AllTests.java	(working copy)
@@ -30,21 +30,32 @@
 import com.xpn.xwiki.store.XWikiHibernateStore;
 
 public class AllTests {
-    public static String hibpath = "hibernate-test.cfg.xml";
+    // TODO: There is also a hibpath variable in StoreHibernateTest. Should
+    // be refactored to use only one definition.
+    public static final String hibpath = "hibernate-test.cfg.xml";
 
+    // TODO: Use a TestSetup instead. Possibly make StoreHibernateStore (or
+    // part of it a TestSetup).
     private static void cleanUp() throws XWikiException {
         XWikiContext context = new XWikiContext();
         context.setDatabase("xwikitest");
-        //XWiki xwiki = new XWiki("./xwiki.cfg", context);
-        //context.setWiki(xwiki);
+    
+        // TODO: Should be refactored to use a URL instead of a path. Paths
+        // should be avoided at all costs and Classpath should be used 
+        // instead. For example, here we could use:
+        //   public static final String hibLocation = "/hibernate-test.cfg.xml";
+        //   URL hibURL = getClass().getResource(hibLocation);
+        // Then we only need to add src/test/resources to the JUnit CP.
         XWikiHibernateStore hibstore = new XWikiHibernateStore(hibpath);
         StoreHibernateTest.cleanUp(hibstore, true, true, context);
     }
 
     public static Test suite () throws XWikiException {
-        TestSuite suite= new TestSuite("Test for com.xpn.xwiki");
         cleanUp();
 
+        TestSuite suite = new TestSuite("Tests for com.xpn.xwiki");
+
+        // TODO: What is this JUnit-BEGIN? Can it be removed?
         //$JUnit-BEGIN$
         suite.addTestSuite(XWikiTest.class);
         suite.addTestSuite(ClassesTest.class);
@@ -66,7 +77,6 @@
         suite.addTestSuite(UtilTest.class);
         suite.addTestSuite(PDFExportTest.class);
         suite.addTestSuite(LDAPTest.class);
-        // suite.addTestSuite(PerlTest.class);
         //$JUnit-END$
 
         return suite;
